petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerASCIISubtractTab

Subtracts from the number of times an ASCII viewer tabs before printing

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIISubtractTab(PetscViewer viewer,PetscInt tabs)

Not Collective, but only first processor in set has any effect

### Input Parameters

| viewer | - obtained with PetscViewerASCIIOpen()
| tabs | - number of tabs

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer(), PetscViewerASCIIPushTab()

Level:developer
Location:src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages